package cz.moneta.test.dsl.mwf.createinternetbanka;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFA03 extends MwfRequest<MWFA03, MWFA03Response> {

    @Parameter(name = "CIF")
    MWFA03 cif(String cif);
    @Parameter(name = "CisloObalky")
    MWFA03 cisloObalky(String cisloObalky);
    @Parameter(name = "DenniLimit")
    MWFA03 denniLimit(Double denniLimit);
    @Parameter(name = "DenniLimitAnoNe")
    MWFA03 denniLimitAnoNe(String denniLimitAnoNe);
    @Parameter(name = "FreeChannel")
    MWFA03 freeChannel(String freeChannel);
    @Parameter(name = "Kanal")
    MWFA03 kanal(String kanal);
    @Parameter(name = "MaIBsKreditkou")
    MWFA03 maIBsKreditkou(String maIBsKreditkou);
    @Parameter(name = "ObchodniMistoAlternativni")
    MWFA03 obchodniMistoAlternativni(String obchodniMistoAlternativni);
    @Parameter(name = "ObchodniMistoKod")
    MWFA03 obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "PozadavekAktivace")
    MWFA03 pozadavekAktivace(Long pozadavekAktivace);
    @Parameter(name = "Prava")
    MWFA03 prava(String prava);
    @Parameter(name = "Predvolba")
    MWFA03 predvolba(String predvolba);
    @Parameter(name = "PredvolbaMobKey")
    MWFA03 predvolbaMobKey(String predvolbaMobKey);
    @Parameter(name = "SMSInfo")
    MWFA03 sMSInfo(Boolean sMSInfo);
    @Parameter(name = "SouhlasSMobilnimKlicem")
    MWFA03 souhlasSMobilnimKlicem(String souhlasSMobilnimKlicem);
    @Parameter(name = "TelefoniCislo")
    MWFA03 telefoniCislo(String telefoniCislo);
    @Parameter(name = "TelefoniCisloMobKey")
    MWFA03 telefoniCisloMobKey(String telefoniCisloMobKey);
    @Parameter(name = "TydenniLimit")
    MWFA03 tydenniLimit(Double tydenniLimit);
    @Parameter(name = "TydenniLimitAnoNe")
    MWFA03 tydenniLimitAnoNe(String tydenniLimitAnoNe);
    @Parameter(name = "UzivatelID")
    MWFA03 uzivatelID(Long uzivatelID);
    @Parameter(name = "ZacatekPoplatkovani")
    MWFA03 zacatekPoplatkovani(java.util.Date zacatekPoplatkovani);
    @Parameter(name = "ZpusobAutentizace")
    MWFA03 zpusobAutentizace(String zpusobAutentizace);
    @Parameter(name = "ZpusobCertifikace")
    MWFA03 zpusobCertifikace(String zpusobCertifikace);
}